%bcond_without check

%global goipath         github.com/mikioh/ipaddr
%global commit          d465c8ab672111787b24b8f03326449059a4aa33

%gometa

%global common_description %{expand:
Package ipaddr provides basic functions for the manipulation of IP address
prefixes and subsequent addresses as described in RFC 4632 and RFC 4291.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Version:        0
Release:    2%{?dist}
Summary:        Basic functions for the manipulation of IP address prefixes

License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Sun Jun 08 2025 bbrucezhang <bbrucezhang@tencent.com> - 0-2.gitd465c8a
- Rebuilt for loongarch64

* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
